// Baixa Tot WebExtension common bits

let WEOptions_debug = true;

function log(s) {
	if (WEOptions_debug)
		console.log(`Baixa Tot: ${s}`);
}

browser.storage.local.get({debug: false}).then(
	result => {
		WEOptions_debug = result.debug;
	},
	error => {
		log(error);
	}
);

function updateWEOptions(changes, areaName) {
	if (areaName != "local")
		return;

	if (changes.debug)
		WEOptions_debug = changes.debug.newValue;
}

browser.storage.onChanged.addListener(updateWEOptions);
